import { Coordinates } from '../coordinates/coordinates-model';
export declare class Waypoint {
    id: string;
    coordinates: Coordinates;
    constructor();
    /**
     * Create a waypoint
     * @param id
     * @param coordinates
     * @return the created waypoint
     */
    static make(id: string, coordinates: Coordinates): Waypoint;
    /**
     * Convert a waypoint array to a double array of number
     * @param waypoints
     */
    static convertCoordinatesToSimpleArray(waypoints: Waypoint[]): number[][];
}
